import { Block, BlockRenderer } from './types';
import { Client } from '@notionhq/client';
export type NotionRendererArgs = {
    /**
     * List of custom renderers.
     */
    renderers?: [BlockRenderer<any>];
    /**
     * NotionClient used to query block children.
     * If not defined, blocks with children will not be fully supported.
     */
    client?: Client;
};
export declare class NotionRenderer {
    private renderers;
    readonly client?: Client;
    constructor(args?: NotionRendererArgs);
    addBlockRenderer<T extends Block>(renderer: BlockRenderer<T>): void;
    render(...blocks: Block[]): Promise<string>;
    renderBlock(blockId: string): Promise<string>;
}
